%global ftgl_version            2.1.3

Summary: Software version control visualization
Name: gource
Version: 0.27
Release: 2%{?dist}
URL: http://gource.googlecode.com/
Source: http://gource.googlecode.com/files/%{name}-%{version}.tar.gz

License: GPLv3+
Group: Applications/Productivity

BuildRequires: SDL_image-devel
BuildRequires: SDL-devel
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: ftgl-devel >= %{ftgl_version}
BuildRequires: pcre-devel
BuildRequires: libX11-devel
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: glew-devel
BuildRequires: freetype-devel

Requires: gnu-free-sans-fonts

%description

OpenGL-based 3D visualisation tool for source control repositories.
The repository is displayed as a tree where the root of the repository is
the centre, directories are branches and files are leaves. Contributors
to the source code appear and disappear as they contribute to specific
files and directories.

%prep
%setup -q
sed -i.cp -e 's|cp |cp -p |' Makefile.in

%build
%configure --enable-ttf-font-dir=%{_datadir}/fonts/gnu-free/
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}/%{_datadir}/%{name}/fonts

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)

%{_bindir}/gource
%{_mandir}/man1/gource.1.gz
%doc COPYING README THANKS ChangeLog

%dir %{_datadir}/gource
%{_datadir}/gource/*

%changelog
* Fri Aug 06 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.27-2
- Fixed missing dist in the Release value
- Fixed dates in the changelog

* Thu Aug 05 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.27-1
- Rebase to upstream version 0.27

* Sat Jul 10 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.27-0.1.beta.20100710
- Rebase to new upstream version
- Added new BuildRequires libGLEW

* Fri Apr 16 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.24-3
- BZ #582781 Randomize name for files created in /tmp

* Sun Feb 28 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.24-2
- BZ #567559: Flip images in software for PPM output since hardware flipping
  fails on some video cards

* Thu Feb 18 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.24-1
- New upstream release
- Added COPYING, README, THANKS and ChangeLog in docs

* Sun Jan 17 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.23-2
- Modified Makefile.in in %%prep section to preserve timestamps
- Require gnu-free-sans-fonts and use the --enable-ttf-font-dir configure option
- Updated %%files section in spec file based on suggestions in review request

* Tue Dec 29 2009 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.23-1
- Rebase to new upstream release version 0.23
- Spec file updates: use parallel make and %%global instead of %%define

* Wed Dec 05 2009 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.18-3
- Fixed unowned directory in .spec files section
- Dropped package version patch since it's not really breaking anything
- Replace RPM_BUILD_ROOT with buildroot to maintain consistency
- Removed unnecessary Requires from spec
- Removed unnecessary --prefix in configure section
- Preserve timestamps during install
- Added freetype-devel as a build dependency
- Fixed BuildRoot
- Clean buildroot in the install section

* Wed Dec 02 2009 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.18-2
- Fixed spec and rpm warnings from rpmlint

* Wed Dec 02 2009 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.18-1
- New package
- Fixed version number in configure.ac to reflect the released version

